From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-misc/monitorix/
Date: Fri, 7 Jan 2022 05:16:52 +0000 (UTC) [thread overview]
Message-ID: <1641532593.36e1ecce4533635b0b911a3fa28d6bcb59ae3596.sam@gentoo> (raw)
commit: 36e1ecce4533635b0b911a3fa28d6bcb59ae3596
Author: Pedro Arizmendi <dwosky <AT> pm <DOT> me>
AuthorDate: Thu Dec 30 10:15:40 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 7 05:16:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36e1ecce
www-misc/monitorix: Added missing css styles
Signed-off-by: Pedro Arizmendi <dwosky <AT> pm.me>
Bug: https://bugs.gentoo.org/830233
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Closes: https://github.com/gentoo/gentoo/pull/23581
Signed-off-by: Sam James <sam <AT> gentoo.org>
www-misc/monitorix/monitorix-3.13.1-r1.ebuild | 93 +++++++++++++++++++++++++++
1 file changed, 93 insertions(+)
diff --git a/www-misc/monitorix/monitorix-3.13.1-r1.ebuild b/www-misc/monitorix/monitorix-3.13.1-r1.ebuild
new file mode 100644
index 000000000000..a6ac6b69d076
--- /dev/null
+++ b/www-misc/monitorix/monitorix-3.13.1-r1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd optfeature
+
+DESCRIPTION="A lightweight system monitoring tool"
+HOMEPAGE="https://www.monitorix.org/"
+SRC_URI="https://www.monitorix.org/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ acct-user/monitorix
+ acct-group/monitorix
+ dev-perl/Config-General
+ dev-perl/DBI
+ dev-perl/HTTP-Server-Simple
+ dev-perl/IO-Socket-SSL
+ dev-perl/libwww-perl
+ dev-perl/MIME-Lite
+ dev-perl/XML-Simple
+ net-analyzer/rrdtool[graph,perl]
+ dev-perl/CGI"
+
+src_prepare() {
+ # Put better Gentoo defaults in the configuration file.
+ sed -e "s|\(base_dir.*\)/usr/share/${PN}|\1/usr/share/${PN}/htdocs|" \
+ -e "s|\(secure_log.*\)/var/log/secure|\1/var/log/auth.log|" \
+ -e "s|nobody|${PN}|g" -i ${PN}.conf || die
+ # Update systemd binary location
+ sed -e "s|/usr/bin|/usr/sbin|g" -i docs/${PN}.service || die
+ eapply_user
+}
+
+# Override compile phase
+src_compile() { :; }
+
+src_install() {
+ dosbin ${PN}
+
+ newinitd "${FILESDIR}/monitorix" ${PN}
+
+ insinto /etc/monitorix
+ doins ${PN}.conf
+
+ keepdir /etc/${PN}/conf.d
+
+ insinto /etc/logrotate.d
+ newins docs/${PN}.logrotate ${PN}
+
+ dodoc Changes README{,.nginx} docs/${PN}-{alert.sh,apache.conf,lighttpd.conf}
+ doman man/man5/${PN}.conf.5
+ doman man/man8/${PN}.8
+
+ insinto /var/lib/${PN}/www
+ doins logo_bot.png logo_top.png ${PN}ico.png
+
+ insinto /var/lib/${PN}/www/css
+ doins css/*.css
+
+ keepdir /var/lib/${PN}/www/imgs
+ fowners monitorix:monitorix /var/lib/${PN}/www/imgs
+
+ exeinto /var/lib/${PN}/www/cgi
+ doexe ${PN}.cgi
+
+ exeinto /usr/lib/${PN}
+ doexe lib/*.pm
+
+ keepdir /var/lib/${PN}/usage
+ insinto /var/lib/${PN}/reports
+ doins -r reports
+
+ systemd_dounit docs/${PN}.service
+}
+
+pkg_postinst() {
+ optfeature "disk drive temperatures and health" app-admin/hddtemp
+ optfeature "email reports/statics" mail-mta/postfix mail-mta/sendmail
+ optfeature "lm-sensors and GPU temperatures" sys-apps/lm-sensors
+ optfeature "APC UPS statistics" sys-power/apcupsd
+ optfeature "Network UPS Tools statistics" sys-power/nut
+ elog
+ elog "If you wish to use your own web server:"
+ elog " Web data can be found at: ${EROOT}/var/lib/${PN}/www/"
+ elog " Also please check the correct user and group ownership"
+ elog " of ${EROOT}/var/lib/${PN}/www/imgs/"
+}
next reply other threads:[~2022-01-07 5:16 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-07 5:16 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-04-23 4:46 [gentoo-commits] repo/gentoo:master commit in: www-misc/monitorix/ Sam James
2023-04-23 4:46 Sam James
2023-01-07 7:57 Joonas Niilola
2022-11-22 13:26 Joonas Niilola
2022-03-15 11:14 Joonas Niilola
2022-03-15 9:39 Jakov Smolić
2022-03-15 9:38 Jakov Smolić
2022-02-06 19:47 Ionen Wolkens
2022-02-06 19:47 Ionen Wolkens
2021-12-06 11:31 Agostino Sarubbo
2021-12-05 22:04 Sam James
2021-04-04 18:55 Andreas Sturmlechner
2021-02-03 10:33 Joonas Niilola
2020-11-26 7:53 Joonas Niilola
2020-11-20 1:34 Thomas Deutschmann
2020-11-19 22:58 Sam James
2020-10-17 13:19 Joonas Niilola
2020-05-04 17:26 Joonas Niilola
2020-05-04 17:26 Joonas Niilola
2020-02-08 16:25 David Seifert
2019-10-07 5:20 Joonas Niilola
2019-10-07 5:20 Joonas Niilola
2019-09-18 11:15 Agostino Sarubbo
2019-09-18 10:21 Agostino Sarubbo
2019-09-12 14:28 Michał Górny
2019-06-02 14:45 Michał Górny
2018-12-27 13:39 Mikle Kolyada
2018-12-13 15:32 Mikle Kolyada
2018-12-09 23:51 Thomas Deutschmann
2018-12-07 16:16 Michał Górny
2018-12-02 15:57 Michał Górny
2018-06-02 0:57 Aaron Bauman
2018-05-25 18:35 Aaron Bauman
2018-03-17 10:14 Mikle Kolyada
2018-03-13 22:26 Thomas Deutschmann
2018-02-22 9:05 Agostino Sarubbo
2018-02-11 11:36 Michał Górny
2018-02-06 18:55 Thomas Deutschmann
2018-02-01 18:52 Michał Górny
2018-01-26 21:23 Patrice Clement
2016-11-25 7:13 Göktürk Yüksek
2016-04-20 9:14 Ian Delaney
2016-04-16 2:19 Ian Delaney
2016-04-16 2:19 Ian Delaney
2016-04-16 2:19 Ian Delaney
2016-04-16 2:19 Ian Delaney
2015-10-11 16:13 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1641532593.36e1ecce4533635b0b911a3fa28d6bcb59ae3596.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox